<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/RDG2SmokeGrenade_ColorBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">RDG2SmokeGrenade_ColorBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html">RDG2SmokeGrenade_ColorBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a> = <span class="stringliteral">&quot;SmokegGrenades_RDG2_start_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a> = <span class="stringliteral">&quot;SmokegGrenades_RDG2_active_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a> = <span class="stringliteral">&quot;SmokegGrenades_RDG2_end_loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#a0e60a326cd85b75a18588e75e508e762">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d4c/class_smoke_grenade_base.html#a0e60a326cd85b75a18588e75e508e762">RDG2SmokeGrenade_ColorBase</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetFuseDelay(2);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">SetParticlePosition</a>(<span class="stringliteral">&quot;0 0.1 0&quot;</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a6c632bfe3b165e2077388e3897a129d1">SetSoundSmokeStart</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ada9e198796d8a367139ca98e6cb61cde">SetSoundSmokeLoop</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a4398f844df403daf83874caa212790af">SetSoundSmokeEnd</a>(<a class="code hl_variable" href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d4c/class_smoke_grenade_base.html#a3ed61dd8fe4843d5587061e345df5547">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d4c/class_smoke_grenade_base.html#a3ed61dd8fe4843d5587061e345df5547">~RDG2SmokeGrenade_ColorBase</a>() {}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>};</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a8f2698d6284b927a856545cfbd439778">   20</a></span><span class="keyword">class </span><a class="code hl_function" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a7edca83f60a426dd1634c5fab14f9ae9">RDG2SmokeGrenade_Black</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html">RDG2SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html#ac5b2830b1ff1c3e97d393e1f18f3ce21">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html#ac5b2830b1ff1c3e97d393e1f18f3ce21">RDG2SmokeGrenade_Black</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a1a6a3c8691a949d66b55cbaeb2510640">GRENADE_RDG2_BLACK_START</a>);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a58292db15e2f895baef907decf14b9a4">GRENADE_RDG2_BLACK_LOOP</a>);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a1f8b71ac5011616e65cc2c747c99cea4">GRENADE_RDG2_BLACK_END</a>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="keyword">class </span><a class="code hl_function" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a8f2698d6284b927a856545cfbd439778">RDG2SmokeGrenade_White</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html">RDG2SmokeGrenade_ColorBase</a></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a8f2698d6284b927a856545cfbd439778">RDG2SmokeGrenade_White</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a7edca83f60a426dd1634c5fab14f9ae9">   33</a></span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a5dcfe4d9326a29a220bca523ab4bb345">GRENADE_RDG2_WHITE_START</a>);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a0d38fc9f1d64084aa0d54ffa1d486c56">GRENADE_RDG2_WHITE_LOOP</a>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a9a4483a9b5abd5139d8558b19678d0b8">GRENADE_RDG2_WHITE_END</a>);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}</div>
<div class="ttc" id="a_explosives_base_8c_html_a85013e65277dff99abed3680cd927d5d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a85013e65277dff99abed3680cd927d5d">SetParticlePosition</a></div><div class="ttdeci">void SetParticlePosition(vector local_pos)</div><div class="ttdoc">set position for smoke particle - needs to be in Local Space</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00215">ExplosivesBase.c:215</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad3e094cf68f7de47f9770099d995a4bb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a></div><div class="ttdeci">void SetAmmoType(string pAmmoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00198">ExplosivesBase.c:198</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_a0536d9d2d4bcc82ed8218de56f8ba51a"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a0536d9d2d4bcc82ed8218de56f8ba51a">SOUND_SMOKE_START</a></div><div class="ttdeci">const string SOUND_SMOKE_START</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00022">M18SmokeGrenade_ColorBase.c:22</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_a4d957136441b41d40a618ea26916540c"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#a4d957136441b41d40a618ea26916540c">SOUND_SMOKE_END</a></div><div class="ttdeci">const string SOUND_SMOKE_END</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00024">M18SmokeGrenade_ColorBase.c:24</a></div></div>
<div class="ttc" id="a_m18_smoke_grenade___color_base_8c_html_af309687aa59c36336c11374026a370db"><div class="ttname"><a href="../../de/d78/_m18_smoke_grenade___color_base_8c.html#af309687aa59c36336c11374026a370db">SOUND_SMOKE_LOOP</a></div><div class="ttdeci">const string SOUND_SMOKE_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00023">M18SmokeGrenade_ColorBase.c:23</a></div></div>
<div class="ttc" id="a_r_d_g2_smoke_grenade___color_base_8c_html_a7edca83f60a426dd1634c5fab14f9ae9"><div class="ttname"><a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a7edca83f60a426dd1634c5fab14f9ae9">RDG2SmokeGrenade_Black</a></div><div class="ttdeci">void RDG2SmokeGrenade_Black()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00033">RDG2SmokeGrenade_ColorBase.c:33</a></div></div>
<div class="ttc" id="a_r_d_g2_smoke_grenade___color_base_8c_html_a8f2698d6284b927a856545cfbd439778"><div class="ttname"><a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html#a8f2698d6284b927a856545cfbd439778">RDG2SmokeGrenade_White</a></div><div class="ttdeci">class RDG2SmokeGrenade_Black extends RDG2SmokeGrenade_ColorBase RDG2SmokeGrenade_White()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00020">RDG2SmokeGrenade_ColorBase.c:32</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a4398f844df403daf83874caa212790af"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a4398f844df403daf83874caa212790af">SetSoundSmokeEnd</a></div><div class="ttdeci">void SetSoundSmokeEnd(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00069">SmokeGrenadeBase.c:69</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a5d5b113a92edf59804f424d3871ced4f"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a5d5b113a92edf59804f424d3871ced4f">SetParticleSmokeLoop</a></div><div class="ttdeci">void SetParticleSmokeLoop(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00049">SmokeGrenadeBase.c:49</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_a6c632bfe3b165e2077388e3897a129d1"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#a6c632bfe3b165e2077388e3897a129d1">SetSoundSmokeStart</a></div><div class="ttdeci">void SetSoundSmokeStart(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00059">SmokeGrenadeBase.c:59</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_ad1fdf205f1d286502cbb4f55fcec0207"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#ad1fdf205f1d286502cbb4f55fcec0207">SetParticleSmokeEnd</a></div><div class="ttdeci">void SetParticleSmokeEnd(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00054">SmokeGrenadeBase.c:54</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_ada9e198796d8a367139ca98e6cb61cde"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#ada9e198796d8a367139ca98e6cb61cde">SetSoundSmokeLoop</a></div><div class="ttdeci">void SetSoundSmokeLoop(string sound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00064">SmokeGrenadeBase.c:64</a></div></div>
<div class="ttc" id="a_smoke_grenade_base_8c_html_aeb0804306fcb4fd3e6fe57dd1cfc6d3e"><div class="ttname"><a href="../../d4/d6f/_smoke_grenade_base_8c.html#aeb0804306fcb4fd3e6fe57dd1cfc6d3e">SetParticleSmokeStart</a></div><div class="ttdeci">void SetParticleSmokeStart(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d6f/_smoke_grenade_base_8c_source.html#l00044">SmokeGrenadeBase.c:44</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a0d38fc9f1d64084aa0d54ffa1d486c56"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a0d38fc9f1d64084aa0d54ffa1d486c56">ParticleList::GRENADE_RDG2_WHITE_LOOP</a></div><div class="ttdeci">static const int GRENADE_RDG2_WHITE_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00103">ParticleList.c:103</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a1a6a3c8691a949d66b55cbaeb2510640"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a1a6a3c8691a949d66b55cbaeb2510640">ParticleList::GRENADE_RDG2_BLACK_START</a></div><div class="ttdeci">static const int GRENADE_RDG2_BLACK_START</div><div class="ttdoc">RDG2.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00099">ParticleList.c:99</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a1f8b71ac5011616e65cc2c747c99cea4"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a1f8b71ac5011616e65cc2c747c99cea4">ParticleList::GRENADE_RDG2_BLACK_END</a></div><div class="ttdeci">static const int GRENADE_RDG2_BLACK_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00101">ParticleList.c:101</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a58292db15e2f895baef907decf14b9a4"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a58292db15e2f895baef907decf14b9a4">ParticleList::GRENADE_RDG2_BLACK_LOOP</a></div><div class="ttdeci">static const int GRENADE_RDG2_BLACK_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00100">ParticleList.c:100</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a5dcfe4d9326a29a220bca523ab4bb345"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a5dcfe4d9326a29a220bca523ab4bb345">ParticleList::GRENADE_RDG2_WHITE_START</a></div><div class="ttdeci">static const int GRENADE_RDG2_WHITE_START</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00102">ParticleList.c:102</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a9a4483a9b5abd5139d8558b19678d0b8"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a9a4483a9b5abd5139d8558b19678d0b8">ParticleList::GRENADE_RDG2_WHITE_END</a></div><div class="ttdeci">static const int GRENADE_RDG2_WHITE_END</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00104">ParticleList.c:104</a></div></div>
<div class="ttc" id="aclass_r_d_g2_smoke_grenade___color_base_html"><div class="ttname"><a href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html">RDG2SmokeGrenade_ColorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00020">RDG2SmokeGrenade_ColorBase.c:21</a></div></div>
<div class="ttc" id="aclass_r_d_g2_smoke_grenade___color_base_html_ac5b2830b1ff1c3e97d393e1f18f3ce21"><div class="ttname"><a href="../../d4/dc9/class_r_d_g2_smoke_grenade___color_base.html#ac5b2830b1ff1c3e97d393e1f18f3ce21">RDG2SmokeGrenade_ColorBase::RDG2SmokeGrenade_Black</a></div><div class="ttdeci">void RDG2SmokeGrenade_Black()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00022">RDG2SmokeGrenade_ColorBase.c:22</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html">SmokeGrenadeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d78/_m18_smoke_grenade___color_base_8c_source.html#l00001">M18SmokeGrenade_ColorBase.c:2</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html_a0e60a326cd85b75a18588e75e508e762"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html#a0e60a326cd85b75a18588e75e508e762">SmokeGrenadeBase::RDG2SmokeGrenade_ColorBase</a></div><div class="ttdeci">void RDG2SmokeGrenade_ColorBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00007">RDG2SmokeGrenade_ColorBase.c:7</a></div></div>
<div class="ttc" id="aclass_smoke_grenade_base_html_a3ed61dd8fe4843d5587061e345df5547"><div class="ttname"><a href="../../d3/d4c/class_smoke_grenade_base.html#a3ed61dd8fe4843d5587061e345df5547">SmokeGrenadeBase::~RDG2SmokeGrenade_ColorBase</a></div><div class="ttdeci">void ~RDG2SmokeGrenade_ColorBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c_source.html#l00017">RDG2SmokeGrenade_ColorBase.c:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../d7/d7a/_r_d_g2_smoke_grenade___color_base_8c.html">RDG2SmokeGrenade_ColorBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
